Post
/v2/extranet/consumers-usage/top
Get extranet service top consumer usage stats
Security
API Key: jwtAuth
Header parameter nameauthorization
Use Bearer <token>
Header parameters
Authorization
stringRequired
Bearer token. Format: Bearer <your_token_here>
Body parameters
object
id
integer (int64) Required
the id of a producer/service (required)
Example1
isB2B
boolean Required
whether the entity is a b2b entity (true for b2b entity, false for local extranet entity) (required)
Exampletrue
isProvider
boolean Required
whether the entity is a provider or consumer (required)
Exampletrue
timeWindow
object (statsmonTimeWindow) Required
bucketSizeSec
integer (int32) Required
the size of the time window in seconds (required)
Minimum0
Example300
oldTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
recentTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
Responses
200
OK
object
topConsumers
Array of object (ipfixEntityUsage)
object
id
integer (int64)
id of the entity
Example1
name
string
name of the entity
ExampleSite 1
usage
number (double)
usage in kbps
Example1000000
totalCustomers
integer (int64)
total number of customers
Example10
totalUsage
number (double)
total service usage in kilo bytes
Example1000000